Package: grails.rest.render.xml

## [Groovy] Class XmlRenderer<T>

- grails.rest.render.xml.XmlRenderer

- An XML renderer that allows including / excluding properties

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `excludes` The properties to be excluded
    `GrailsApplication` | `grailsApplication`
    `java.util.List<java.lang.String>` | `includes` The properties to be included
    `ProxyHandler` | `proxyHandler`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `XmlRenderer (java.lang.Class<T> targetType)`
    `XmlRenderer (java.lang.Class<T> targetType, MimeType... mimeTypes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `registerCustomConverter()`
    `` | `protected void` | `registerCustomMarshaller(ObjectMarshaller marshaller)`
    `` | `protected void` | `renderXml(XML converter, RenderContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultXmlRenderer` | `render, renderXml, renderXml`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### java.util.List<java.lang.String> excludes

      The properties to be excluded

    - #### @org.springframework.beans.factory.annotation.Autowired GrailsApplication grailsApplication

    - #### java.util.List<java.lang.String> includes

      The properties to be included

    - #### @org.springframework.beans.factory.annotation.Autowired(required = false) ProxyHandler proxyHandler

  - ### Constructor Detail

    - #### XmlRenderer(java.lang.Class<T> targetType)

    - #### XmlRenderer(java.lang.Class<T> targetType, MimeType... mimeTypes)

  - ### Method Detail

    - #### @javax.annotation.PostConstruct void registerCustomConverter()

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void registerCustomMarshaller(ObjectMarshaller marshaller)

    - #### @java.lang.Override protected void renderXml(XML converter, RenderContext context)